Subject: Re: Manual page width is fixed and I'd like it not to be
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 24 Nov 2004 09:11:35 -0800

Igor Pechtchanski wrote:

> > > -NROFF          /usr/bin/nroff -c -mandoc 2>/dev/null
> > > +NROFF          /usr/bin/nroff -c -mandoc -rLL=`echo $MANWIDTH`n -rLT=`echo $MANWIDTH`n 2>/dev/null
> >
> > Just a little more info about how debian does this, in case someone
> > wants to flesh this out for it to do "the right thing".
> > [snip]
> > I think they must be using their own patched version of man which adds
> > all of the above functionality.  "man --version" says "man, version
> > 2.4.2, 2003-09-20".  It has no man.conf that I can find.
> 
> As I said in <http://cygwin.com/ml/cygwin/2004-11/msg00941.html>, the
> problem is not with man, but with groff.  With MANWIDTH=130, Cygwin's man
> dutifully echoes '.ll 11.7i', which the nroff process promptly ignores.

groff works fine.  Try the patch above to pass it "LL" and "LT"
parameters on the command line and it formats to whatever width you
specify.  The problem is that man does not do this.  I think the "echo
.ll" business is needed for tbl's sake.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/